Bug 622334 - Enabling desktop effects interferes with hibernation and suspend to ram
Enabling desktop effects interferes with hibernation and suspend to ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 21:23 EDT by ocimico
Modified: 2011-06-28 10:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardware profile of affected system (5.95 KB, text/plain)
2010-08-08 21:23 EDT, ocimico
no flags Details

  None (edit)
Description ocimico 2010-08-08 21:23:36 EDT
Created attachment 437501 [details]
hardware profile of affected system

Description of problem:
HP Pavillion ZT3300 laptop fails to enter hibernation intermittently when compiz / desktop effects is enabled. Hibernation is back to normal after turning compiz off.

Version-Release number of selected component (if applicable):
Name        : compiz
Arch        : i686
Version     : 0.8.6
Release     : 1.fc13

How reproducible:
Automatic hibernation (on low power) or sleep (on lid closed) hangs after blanking the screen, without turning off the power. Forceful shutdown is needed. After restart, system doesn't resume, but runs a new session.
Manual hibernation (pm-hibernate) fails on first attempt (screen blanks for a moment and returns without actual hibernation), and succeeds on second attempt.

Steps to Reproduce:
1.enable compiz/desktop effects
2.attempt to hibernate either manually (system->shutdown->hibernate) or by closing lid or waiting till battery is low
3.?????
  
Actual results:
Hibernation either aborts or proceeds for some time, then halts without turning off the power.Forceful shutdown and restart result in a new session

Expected results:
The system should hibernate normally.

Additional info:
Turning off the desktop effects or compiz entirely seems to fix the problem. Turning off just the desktop effects, leaving compiz on, seems to somewhat mitigate the problem.

Attaching hardware configuration
Comment 1 Bug Zapper 2011-06-01 07:51:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-28 10:49:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.